petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCLMVMGetMatLMVM

Returns a pointer to the underlying LMVM matrix.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCLMVMGetMatLMVM(PC pc, Mat *B)

### Input Parameters

pc -An LMVM preconditioner

### Output Parameters

B -LMVM matrix inside the preconditioner

### Level

intermediate

### Location

src/ksp/pc/impls/lmvm/lmvmpc.c

### Examples

src/tao/unconstrained/examples/tutorials/eptorsion1.c.html
src/tao/unconstrained/examples/tutorials/rosenbrock1.c.html
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages